Bug 237987 - cad/freecad: Errors from the Path Workbench
Summary: cad/freecad: Errors from the Path Workbench
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-19 21:13 UTC by denverh
Modified: 2019-06-17 03:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (cmt)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description denverh 2019-05-19 21:13:26 UTC
Starting the Tool Manager:
Running the Python command 'Path_ToolLibraryEdit' failed:
Traceback (most recent call last):
  File "/usr/local/FreeCAD/Mod/Path/PathScripts/PathToolLibraryManager.py", line 627, in Activated
    self.edit()
  File "/usr/local/FreeCAD/Mod/Path/PathScripts/PathToolLibraryManager.py", line 609, in edit
    editor = EditorPanel(job, cb)
  File "/usr/local/FreeCAD/Mod/Path/PathScripts/PathToolLibraryManager.py", line 397, in __init__
    self.loadTable()
  File "/usr/local/FreeCAD/Mod/Path/PathScripts/PathToolLibraryManager.py", line 460, in loadTable
    self.form.ToolsList.setModel(tooldata)

'PySide2.QtWidgets.QDialog' object has no attribute 'ToolsList'

And starting a new Path Job:
Running the Python command 'Path_Job' failed:
Traceback (most recent call last):
  File "/usr/local/FreeCAD/Mod/Path/PathScripts/PathJobCmd.py", line 64, in Activated
    dialog = PathJobDlg.JobCreate()
  File "/usr/local/FreeCAD/Mod/Path/PathScripts/PathJobDlg.py", line 55, in __init__
    self.dialog.templateGroup.hide()

'PySide2.QtWidgets.QDialog' object has no attribute 'templateGroup'

Steps to Reproduce:
1. Start a new file with ^N
2. Select the Path workbench
3. Start a new Path Job using menu Path -> Job (or type pj)
4. Start the Tool Manager using menu Path-> Tool Manager (or type pt)

All other normal CAD functions appear to work properly.  Only those directly associated with the Path Workbench report errors.

Version: FreeCAD-0.18.2
FreeBSD 11.2-RELEASE-p9 r345733 amd64

I'm not sure what other information may be helpful at this point.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2019-05-20 16:46:31 UTC
Uhoh. Did you ever try that on 0.18 or 0.18.1, and did it work there? (Is this a recent regression?) At first glance, I don't see any relevant changes in that area - and it's reproducable.
The FreeCAD 0.18.1 AppImage for Linux does not have this problem (you'll need Linux to test that, I guess) - but they have a much older Qt (5.6, if I'm not mistaken), so perhaps it's that?
Comment 2 Christoph Moench-Tegeder freebsd_committer 2019-05-20 17:13:44 UTC
Upstream Bug: https://www.freecadweb.org/tracker/view.php?id=3984
Comment 3 denverh 2019-05-20 23:51:52 UTC
(In reply to Christoph Moench-Tegeder from comment #1)
I saw the errors on 18.1, but that's the oldest version I've used.  I did try the Linux version, which works ok, so perhaps it is the version of Qt.  The 32 bit Windows version also works using wine, but that's not a very satisfactory solution.
Comment 4 denverh 2019-05-20 23:54:11 UTC
(In reply to Christoph Moench-Tegeder from comment #2)
Ok, well at least it's not my imagination, or something unique to my situation.  Hopefully someone with more experience with Qt than I have can track this down.

Thanks.
Comment 5 commit-hook freebsd_committer 2019-06-16 20:09:45 UTC
A commit references this bug:

Author: cmt
Date: Sun Jun 16 20:09:14 UTC 2019
New revision: 504361
URL: https://svnweb.freebsd.org/changeset/ports/504361

Log:
  cad/freecad: improve pyside2 detection

  pyside2 changed the way it reported it's variables (they're cmake target
  properties now, not variables) sometime over the last releases. FreeCAD
  did not support pyside2's new way of doing thing, resulting in certain
  dialogs not working.

  PR:		237987
  Reported by:	denverh at comcast dot net

Changes:
  head/cad/freecad/Makefile
  head/cad/freecad/files/patch-CMakeLists.txt
Comment 6 Christoph Moench-Tegeder freebsd_committer 2019-06-16 20:12:40 UTC
This seems to improve things. Please check FreeCAD 0.18.2_1 and report back if it's still broken (which I don't expect).
Comment 7 denverh 2019-06-17 03:36:02 UTC
Ok, that seems to have fixed it.  Thanks.